Thunderbird 78 est rétroporté sur Ubuntu 20.04 LTS – aucun PPA, Snaps ou Flatpak n’est requis!

Ubuntu 20.04 LTS livré avec Thunderbird 68.x mais cette version est N’est plus pris en charge en amont. Cela laisse aux développeurs Ubuntu un problème: rétroporter les correctifs de sécurité individuels vers Thunderbird 68, ou porter le plus récent (et toujours pris en charge) Thunderbird 78 aux utilisateurs LTS?

Naturellement, Les développeurs d’Ubuntu ont choisi pour ce dernier choix.

Thunderbird 68 n’est plus pris en charge, laissant les développeurs Ubuntu avec un problème à résoudre…

«Thunderbird 68 n’est plus pris en charge par l’amont. Nous ne nous attendons pas à ce qu’il soit pratique de rétroporter indéfiniment les correctifs de sécurité vers Focal. Il est donc devenu nécessaire de passer à Thunderbird 78.x », explique Oliver Tilloy d’Ubuntu.

Attends quoi?!

J’imagine que quelques personnes lisant ceci seront surprises d’apprendre qu’Ubuntu ne rétroportez automatiquement les nouvelles versions de Thunderbird une fois publiées. Après tout, il Est-ce que fournir des mises à jour fréquentes de Mozilla Firefox.

Alors qu’est-ce qui donne?

Eh bien, vous devez vous rappeler que la stabilité est un argument de vente clé d’une version de support à long terme. Et la stabilité ne vient que d’avoir une base solide de pièces fiables et imbriquées. Les nouvelles fonctionnalités sont cool, mais elles sont également terribles: elles apportent des bogues, des conflits de paquets, des régressions et d’autres incertitudes avec elles, des incertitudes qui pourraient affecter d’autres parties du système.

Sans aller sur une tangente, c’est en quelque sorte la raison pour laquelle les applications Snap ont été créées; pour permettre aux utilisateurs LTS de sans encombre utiliser un logiciel plus récent sur une version plus ancienne, découplé du reste du système.

Comme pour souligner la nature prudente, les développeurs d’Ubuntu mettent en garde contre les «perturbations» à venir de cette mise à niveau de la version stable.

Enigmail, par exemple, est obsolète maintenant que Thunderbird dispose d’une solution PGP native. Cela aura un impact sur les utilisateurs de LTS qui utilisent le plugin (sans parler de quelques autres qui n’ont pas été mis à jour pour fonctionner avec Thunderbird 78.x).

«Les utilisateurs d’Ubuntu 20.04 qui ne souhaitent pas mettre à jour au-delà de Thunderbird 68.x peuvent demander à apt de conserver ou d’épingler le package, mais cela n’est pas recommandé car le package ne recevra plus de mises à jour de sécurité». Note Tilloy.

Vous pilotez la série LTS? J’aimerais savoir ce que vous en pensez. Accueillez-vous cette mise à jour? Ou préférez-vous risquer d’exécuter une version non sécurisée pour des raisons de prévisibilité? Faites-moi savoir dans les commentaires!

Leave a Reply